%table.m produces some unconditional moments implied by the  unregulated  and Ramsey two-sector small open economies driven by interest-rate and tradable-endowment shocks 
%with a flow collateral constraint  in the paper
%``Is Optimal Capital-Control Policy Countercyclical In Open-Economy  Models With Collateral Constraints?'' by Stephanie Schmitt-Groh and Martn Uribe, July 2016. 
%  Stephanie Schmitt-Groh and Martn Uribe, July 2016.

clear all

load simu_constrained_c EDY CRISIS
%produced by running simu with input 'constrained_c'; constrained_c.mat is produced by running constrained.m with eqm_selection_criterion='c'
%all files in z:\joint\macroprudential\rshocks

rshocks_table(1,1) = EDY*100;

rshocks_table(1,3) = numel(CRISIS)/sum(CRISIS);

clear EDY CRISIS

load simu_ramsey EDY CRISIS TAU Y
%produced by running simu with argument 'ramsey' and ramsey.mat is produced by running ramsey in directory
%z:\joint\macroprudential\rshocks

rshocks_table(1,2) = EDY*100;

rshocks_table(1,4) = numel(CRISIS)/sum(CRISIS);

rshocks_table(1,5) =  median(TAU(CRISIS==0))*100;

rshocks_table(1,6) =  corr(TAU(CRISIS==0),log(Y(CRISIS==0)))